> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get authenticated user's account profile from Logto



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/account
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/account:
    get:
      tags:
        - Account
      summary: Get authenticated user's account profile from Logto
      operationId: getV1Account
      parameters: []
      responses:
        '200':
          description: Account profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  username:
                    type: string
                    nullable: true
                  name:
                    type: string
                    nullable: true
                  avatar:
                    type: string
                    nullable: true
                  primaryEmail:
                    type: string
                    nullable: true
                  primaryPhone:
                    type: string
                    nullable: true
                  hasPassword:
                    type: boolean
                  identities:
                    type: object
                  customData:
                    type: object
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.